{**
 * Pepper Module
 *
 * Copyright (c) 2020 Pepper
 *
 * @category  Payment
 * @author    Pepper
 * @copyright 2020, Pepper
 * @link      https://peppermoney.es/
 * @license   http://opensource.org/licenses/osl-3.0.php Open Software License (OSL 3.0)
 *
 * Description:
 *
 * Plugin de Prestashop para conectar con la pasarela de Pepper.
 *
 * --
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to soporte@peppermoney.es so we can send you a copy immediately.
 *}
<script>
function deleteManaged() {
	document.cookie = 'managed_mode=; Path=/; Expires=Thu, 01 Jan 1970 00:00:01 GMT;';
}
</script>
<div class="row">
    <div class="col-12">
        <p id="pepper-payment-options" class="payment_module">
            <a href="{$payment_link}" style="padding-left: 17px;" {if $integration eq 'IFRAME'}onclick="document.getElementById('peppermodal').style.display = 'flex'; document.getElementById('peppermodaliframe').src = '{$payment_link}'; setTimeout(deleteManaged, 2000); return false;"{/if}>
                <img src="{$path|escape:'htmlall'}views/img/icons/pepper.svg" title="{$title|escape:'htmlall'}" width="{$logo_width|escape:'htmlall'}" />&nbsp;
                {$description|escape:'htmlall'}
                <br class="clear" />
            </a>
            
            {if $integration eq 'IFRAME'}
            {** Modal *}
            <style>
                #peppermodal {
                    display: none;
                    position: fixed;
                    top: 0;
                    left: 0;
                    width: 100%;
                    height: 100%;
                    background: #000000a3;
                    z-index: 9999999;
                    justify-content: center;
                    align-items: center;
                }
                #peppermodal.open {
                    display: flex;
                }
                #peppermodal iframe {
                    max-width: 499px;
                    width: 100%;
                    max-height: 760px;
                    height: 100%;
                }
            </style>
            <div id="peppermodal">
                <iframe id="peppermodaliframe" allow="microphone *; camera *; midi *; encrypted-media *;" src="" border="0" frameBorder="0" sandbox="allow-top-navigation allow-scripts allow-forms allow-same-origin allow-popups allow-popups-to-escape-sandbox"></iframe>
            </div>
            {/if}
        </p>
    </div>
</div>
{if $enable_n eq 'SI'}
<div class="row">
    <div class="col-12">
        <p id="pepper-payment-n-options" class="payment_module">
            <a href="{$payment_link_n}" style="padding-left: 17px;" {if $integration eq 'IFRAME'}onclick="document.getElementById('peppermodaln').style.display = 'flex'; document.getElementById('peppermodalniframe').src = '{$payment_link_n}';  setTimeout(deleteManaged, 2000); return false;"{/if}>
                <img src="{$path|escape:'htmlall'}views/img/icons/pepper.svg" title="{$title_n|escape:'htmlall'}" width="{$logo_width|escape:'htmlall'}" />&nbsp;
                {$description_n|escape:'htmlall'}
                <br class="clear" />
            </a>
            
            {if $integration eq 'IFRAME'}
            {** Modal *}
            <style>
                #peppermodaln {
                    display: none;
                    position: fixed;
                    top: 0;
                    left: 0;
                    width: 100%;
                    height: 100%;
                    background: #000000a3;
                    z-index: 9999999;
                    justify-content: center;
                    align-items: center;
                }
                #peppermodaln.open {
                    display: flex;
                }
                #peppermodaln iframe {
                    max-width: 499px;
                    width: 100%;
                    max-height: 760px;
                    height: 100%;
                }
            </style>
            <div id="peppermodaln">
                <iframe id="peppermodalniframe" allow="microphone *; camera *; midi *; encrypted-media *;" src="" border="0" frameBorder="0" sandbox="allow-top-navigation allow-scripts allow-forms allow-same-origin allow-popups allow-popups-to-escape-sandbox"></iframe>
            </div>
            {/if}
        </p>
    </div>
</div>
{/if}
